/*******************************************************************************
 * Copyright (c) 2010, 2012 Tasktop Technologies
 * Copyright (c) 2010, 2011 SpringSource, a division of VMware
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * This class would normally be in com.tasktop.c2c.server.profile.domain.activity
 * in the com.tasktop.c2c.server.profile.api project.  Due to the circular 
 * dependency where this project com.tasktop.c2c.server.deployment.api depends on
 * com.tasktop.c2c.server.profile.api for the Profile object, we cannot introduce
 * the reverse dependency. 
 * 
 * Contributors:
 *     Tasktop Technologies - initial API and implementation
 ******************************************************************************/
package com.tasktop.c2c.server.profile.domain.activity;

import com.tasktop.c2c.server.deployment.domain.DeploymentConfigActivity;
import com.tasktop.c2c.server.profile.domain.activity.ProjectActivity;

@SuppressWarnings("serial")
public class DeploymentProjectActivity extends ProjectActivity {

	private DeploymentConfigActivity _configActivity;

	public DeploymentProjectActivity(DeploymentConfigActivity configActivity) {
		super.setActivityDate(configActivity.getActivity().getTime());
		this._configActivity = configActivity;
	}

	public DeploymentProjectActivity() {
		// nothing
	}

	public DeploymentConfigActivity getConfigActivity() {
		return _configActivity;
	}

	public void setConfigActivity(DeploymentConfigActivity configActivity) {
		_configActivity = configActivity;
	}
}